org.apache.ignite.internal.cache.query.index.sorted

## Class DurableBackgroundCleanupIndexTreeTask

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.DurableBackgroundCleanupIndexTreeTask

All Implemented Interfaces:
  Serializable, DurableBackgroundTask

Deprecated.
Use `DurableBackgroundCleanupIndexTreeTaskV2`.

    @Deprecated
    public class DurableBackgroundCleanupIndexTreeTask
    extends Object
    implements DurableBackgroundTask

Tasks that cleans up index tree.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DurableBackgroundCleanupIndexTreeTask(List<Long> rootPages, List<InlineIndexTree> trees, String cacheGrpName, String cacheName, IndexName idxName, String treeName)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `cancel()` Deprecated. Canceling the task.
`DurableBackgroundTask<?>` `convertAfterRestoreIfNeeded()` Deprecated. Converting the current task to another after restoring from metaStorage.
`IgniteInternalFuture<DurableBackgroundTaskResult>` `executeAsync(GridKernalContext ctx)` Deprecated. Asynchronous task execution.
`String` `name()` Deprecated. Getting the name of the task to identify it.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DurableBackgroundCleanupIndexTreeTask

    public DurableBackgroundCleanupIndexTreeTask(List<Long> rootPages,
                                                 List<InlineIndexTree> trees,
                                                 String cacheGrpName,
                                                 String cacheName,
                                                 IndexName idxName,
                                                 String treeName)

Deprecated.

### Method Detail

#### name

    public String name()

Deprecated.
Getting the name of the task to identify it. Also used as part of a key for storage in a MetaStorage.

Specified by:
  `name` in interface `DurableBackgroundTask`
Returns:
  Task name.

#### executeAsync

    public IgniteInternalFuture<DurableBackgroundTaskResult> executeAsync(GridKernalContext ctx)

Deprecated.
Asynchronous task execution. Completion of the task execution should be only with the `result`.

Specified by:
  `executeAsync` in interface `DurableBackgroundTask`
Parameters:
  `ctx` - Kernal context.
Returns:
  Future of the tasks.

#### cancel

    public void cancel()

Deprecated.
Canceling the task.

Specified by:
  `cancel` in interface `DurableBackgroundTask`

#### convertAfterRestoreIfNeeded

    public DurableBackgroundTask<?> convertAfterRestoreIfNeeded()

Deprecated.
Converting the current task to another after restoring from metaStorage.

Specified by:
  `convertAfterRestoreIfNeeded` in interface `DurableBackgroundTask`
Returns:
  Converted task.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022